Package org.kapott.hbci.concurrent

## Class HBCIThreadFactory

- java.lang.Object
- - org.kapott.hbci.concurrent.HBCIThreadFactory

All Implemented Interfaces:
  `java.util.concurrent.ThreadFactory`

    public class HBCIThreadFactory
    extends java.lang.Object
    implements java.util.concurrent.ThreadFactory

Implementierung einer `ThreadFactory`, die für jeden Thread eine eigene Thread-Gruppe erzeugt. Jede Gruppe ist mit {@link ThreadGroup#setDaemon(true)} konfiguriert, so dass mit Ende des einzelnen Threads auch automatisch die Gruppe geschlossen wird.

Author:
  Hendrik Schnepel
See Also:
  `README.MultiThreading`, https://groups.google.com/forum/#!msg/hbci4java/cOQrbPDC0Jo/rbm6jgMaMfcJ

### Constructor Summary

Constructors
`HBCIThreadFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Thread` `newThread​(java.lang.Runnable runnable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIThreadFactory

    public HBCIThreadFactory()

### Method Detail

#### newThread

    public java.lang.Thread newThread​(java.lang.Runnable runnable)

Specified by:
  `newThread` in interface `java.util.concurrent.ThreadFactory`